/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of MixMagic.

    Copyright (C) 2000-2001 Jonas Borgstrm <jonas@bengburken.net>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software 
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MIXMAGIC_PREFERENCES_H__
#define __MIXMAGIC_PREFERENCES_H__

#include "plugins.h"

typedef struct _Preferences Preferences;
struct _Preferences {
	OutputPlugin *output_plugin;
	gboolean snap_to_block;
	guint snap_resistance;
};

void	preferences_show	(const GtkWidget *parent_win);
void	preferences_load	(Preferences *prefs);
void	preferences_save	(Preferences *prefs);

#endif
